¿Qué versión de LLVM y XCode necesito usar la Sintaxis Literal de Array en Objective-C?

Estoy ejecutando una session de entrenamiento que enseñará a los progtwigdores principiantes cómo codificar en Objective-C. Con la nueva syntax literal de NSArray y NSDictionary , es una tarea un poco less desalentadora de lo que hubiera sido. Sin embargo, me han dicho que me restringiré a usar OS X Lion.

¿La última versión de XCode que funciona en Lion (4.2) admite usar la syntax @[@"one", @"two"] ? ¿O tengo que usar una versión más nueva?

Gracias.

El soporte para los literales comenzó en XCode 4.4 de acuerdo con esta práctica documentation de Apple .

@ SÍ / @ NO, los literales tienen algunos requisitos adicionales.

La introducción de la versión 4.0 del comstackdor LLVM de Apple proporciona esta function.

Sí, este soporte se inicia desde Apple LLVM Compiler 4.0 con XCode 4.4 http://clang.llvm.org/docs/ObjectiveCLiterals.html esta documentation le brinda la mayoría de la información de descripción.